Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.payload
Class PayloadImpl

    java.lang.Object
      org.eclipse.ohf.ihe.atna.payload.PayloadImpl

All Implemented Interfaces:
  PayloadService

    public class PayloadImpl

extends java.lang.Object
implements PayloadService

This class aggregates all available transporter services, monitors their dynamic availability, and only offers the payload service if there are transporter services available. The service implementation is greatly simplified, though, by using the Service Component Runtime. Notice that there is no OSGi references in the application code; intead, the metadata.xml file describes the service dependencies to the Service Component Runtime, which automatically manages them and it also automatically registers the payload services as appropriate.

Constructor Summary
`PayloadImpl()`

Method Summary
`static void` | `attachBytes(javax.xml.soap.SOAPMessage soapMessage, byte[] theBytes, java.lang.String contentType)`
`org.w3c.dom.Document` | `buildDoc(java.io.File documentfile)`
`org.w3c.dom.Document` | `buildDoc(java.lang.String documentdata)`
`javax.xml.soap.SOAPMessage` | `buildDocuments(java.io.File metadatafile, java.lang.String[] attachfileArray, java.lang.String[] mimeTypeArray, java.lang.String[] uuidArray, int NumOfAttachFiles, java.lang.String url, java.lang.String patientid)` Portions of this was originally from SoapRequest This now prepares the document to be sent via Transporter
`javax.xml.soap.SOAPMessage` | `buildDocuments(java.lang.String metadatafile, SoapAttachment[] attachfileArray)` This now prepares the document to be sent via Transporter
`static void` | `clearFile(java.lang.String filename)`
`void` | `getData()`
`java.lang.String` | `getUrl()`
`void` | `msgtofile(java.io.File msgfile)`
`void` | `PayloadImpl()`
`javax.xml.soap.SOAPMessage` | `prepareData(java.lang.String metadata, SoapAttachment[] attachments)` Prepares the SoapMessage and returns it
`static void` | `redirectOut()`
`javax.xml.soap.SOAPMessage` | `setData(java.lang.String[] args)` This is similar to the main() in the xdsSoapRequest in the fact that it receives a list of commands and parses it.
`void` | `setUrl(java.lang.String m_url)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PayloadImpl

    public PayloadImpl()

Method Detail

### PayloadImpl

    public void PayloadImpl()

  Specified by:
    `PayloadImpl` in interface `PayloadService`

### getData

    public void getData()

  Specified by:
    `getData` in interface `PayloadService`

### setData

    public javax.xml.soap.SOAPMessage setData(java.lang.String[] args)

  This is similar to the main() in the xdsSoapRequest in the fact that it receives a list of commands and parses it. These commands include the load of files.

  Specified by:
    `setData` in interface `PayloadService`

### prepareData

    public javax.xml.soap.SOAPMessage prepareData(java.lang.String metadata,
                                                  SoapAttachment[] attachments)

  Prepares the SoapMessage and returns it

  Specified by:
    `prepareData` in interface `PayloadService`

### buildDocuments

    public javax.xml.soap.SOAPMessage buildDocuments(java.io.File metadatafile,
                                                     java.lang.String[] attachfileArray,
                                                     java.lang.String[] mimeTypeArray,
                                                     java.lang.String[] uuidArray,
                                                     int NumOfAttachFiles,
                                                     java.lang.String url,
                                                     java.lang.String patientid)

  Portions of this was originally from SoapRequest This now prepares the document to be sent via Transporter

  Specified by:
    `buildDocuments` in interface `PayloadService`

### attachBytes

    public static void attachBytes(javax.xml.soap.SOAPMessage soapMessage,
                                   byte[] theBytes,
                                   java.lang.String contentType)
                            throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### buildDocuments

    public javax.xml.soap.SOAPMessage buildDocuments(java.lang.String metadatafile,
                                                     SoapAttachment[] attachfileArray)

  This now prepares the document to be sent via Transporter

### redirectOut

    public static void redirectOut()

### clearFile

    public static void clearFile(java.lang.String filename)

### msgtofile

    public void msgtofile(java.io.File msgfile)

### buildDoc

    public org.w3c.dom.Document buildDoc(java.io.File documentfile)

### buildDoc

    public org.w3c.dom.Document buildDoc(java.lang.String documentdata)

### setUrl

    public void setUrl(java.lang.String m_url)

### getUrl

    public java.lang.String getUrl()

  Specified by:
    `getUrl` in interface `PayloadService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD